#### D.4.17.3 modSyz

Procedure from library `modstd.lib` (see modstd_lib).

Usage:
  modSyz(I); I ideal/module

Return:
  a generating set of syzygies of I

Note:
  The procedure computes a the syzygy module of I (over the rational numbers) by using modular methods with high probability. The property of being a syzygy is tested.

Example:

    LIB "modstd.lib";
    ring R1 = 0, (x,y,z,t), dp;
    ideal I = 3x3+x2+1, 11y5+y3+2, 5z4+z2+4;
    modSyz(I);
    ==> _[1]=z4*gen(1)-3/5x3*gen(3)-1/5x2*gen(3)+1/5z2*gen(1)-1/5*gen(3)+4/5*gen(\
       1)
    ==> _[2]=y5*gen(1)-3/11x3*gen(2)+1/11y3*gen(1)-1/11x2*gen(2)-1/11*gen(2)+2/11\
       *gen(1)
    ==> _[3]=y5*gen(3)-5/11z4*gen(2)+1/11y3*gen(3)-1/11z2*gen(2)+2/11*gen(3)-4/11\
       *gen(2)
    simplify(syz(I),1);
    ==> _[1]=z4*gen(1)-3/5x3*gen(3)-1/5x2*gen(3)+1/5z2*gen(1)-1/5*gen(3)+4/5*gen(\
       1)
    ==> _[2]=y5*gen(1)-3/11x3*gen(2)+1/11y3*gen(1)-1/11x2*gen(2)-1/11*gen(2)+2/11\
       *gen(1)
    ==> _[3]=y5*gen(3)-5/11z4*gen(2)+1/11y3*gen(3)-1/11z2*gen(2)+2/11*gen(3)-4/11\
       *gen(2)

See also: modular.

User manual for Singular version 4.4.1, 2025, generated by texi2html.